Name:       nodejs-archy
Version:    0.0.2
Release:    1%{?dist}
Summary:    Renders nested hierarchies with unicode pipes
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/substack/archy
Source0:    http://registry.npmjs.org/archy/-/archy-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%if !(0%{?fedora} >= 17)
BuildRequires:  nodejs-devel
Requires:       nodejs
%endif

%description
Render nested hierarchies with unicode pipes, `npm ls` style.

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/archy
cp -p index.js package.json %{buildroot}%{nodejs_libdir}/archy

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/archy
%doc README.markdown examples

%changelog
* Thu Mar 29 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-1
- initial package
